Mettre à jour un contact
curl --request PATCH \
--url https://qwoty.app/api/contacts/{id} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": {},
"role": [
{}
],
"id_crm": {},
"id_erp": {},
"id_accounting": {}
}
'import requests
url = "https://qwoty.app/api/contacts/{id}"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": {},
"role": [{}],
"id_crm": {},
"id_erp": {},
"id_accounting": {}
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
email: '<string>',
phone: {},
role: [{}],
id_crm: {},
id_erp: {},
id_accounting: {}
})
};
fetch('https://qwoty.app/api/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "660e8400-e29b-41d4-a716-446655440001",
"customer_id": "550e8400-e29b-41d4-a716-446655440000",
"first_name": "Jean",
"last_name": "Dupont",
"email": "jean.dupont@acme.com",
"phone": "+33 6 99 88 77 66",
"role": ["buyer", "billing"],
"id_crm": null,
"id_erp": null,
"id_accounting": null,
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-03-24T14:00:00Z"
}
}
{
"success": false,
"error": "Contact not found"
}
Contacts
Mettre à jour un contact
Mettre à jour partiellement un contact
PATCH
/
api
/
contacts
/
{id}
Mettre à jour un contact
Autorisation
string
requis
Jeton Bearer. Format :
Bearer qwoty_your_tokenParamètres de chemin
string
requis
UUID du contact à mettre à jour
Corps de la requête
Tous les champs sont optionnels. Seuls les champs fournis seront mis à jour.string
Prénom du contact
string
Nom du contact
string
Adresse e-mail
string | null
Numéro de téléphone. Définir à
null pour effacer.array
Rôles assignés. Valeurs autorisées :
"buyer", "signer", "billing",
"shipping", "legal", "admin"string | null
ID CRM externe
string | null
ID ERP externe
string | null
ID comptabilité externe
customer_id ne peut pas être modifié après la création.Exemples
curl -X PATCH https://qwoty.app/api/contacts/660e8400-e29b-41d4-a716-446655440001 \
-H "Authorization: Bearer qwoty_your_token" \
-H "Content-Type: application/json" \
-d '{
"phone": "+33 6 99 88 77 66",
"role": ["buyer", "billing"]
}'
const contactId = '660e8400-e29b-41d4-a716-446655440001'
const response = await fetch(`https://qwoty.app/api/contacts/${contactId}`, {
method: 'PATCH',
headers: {
Authorization: 'Bearer qwoty_your_token',
'Content-Type': 'application/json',
},
body: JSON.stringify({
phone: '+33 6 99 88 77 66',
role: ['buyer', 'billing'],
}),
})
const data = await response.json()
import requests
contact_id = '660e8400-e29b-41d4-a716-446655440001'
response = requests.patch(
f'https://qwoty.app/api/contacts/{contact_id}',
headers={
'Authorization': 'Bearer qwoty_your_token',
'Content-Type': 'application/json',
},
json={'phone': '+33 6 99 88 77 66', 'role': ['buyer', 'billing']},
)
data = response.json()
Réponse
boolean
true si la mise à jour a réussiobject
L’objet contact mis à jour (même structure que Obtenir un
contact)
{
"success": true,
"data": {
"id": "660e8400-e29b-41d4-a716-446655440001",
"customer_id": "550e8400-e29b-41d4-a716-446655440000",
"first_name": "Jean",
"last_name": "Dupont",
"email": "jean.dupont@acme.com",
"phone": "+33 6 99 88 77 66",
"role": ["buyer", "billing"],
"id_crm": null,
"id_erp": null,
"id_accounting": null,
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-03-24T14:00:00Z"
}
}
{
"success": false,
"error": "Contact not found"
}
Cette page vous a-t-elle été utile ?
⌘I

